$(document).ready(function () {
    $("body").on("click", ".remove", remove);
    $("body").on("keyup blur change", ".rate", Calc);
    $("body").on("blur keyup", ".visano, .paxname, .period, .type", newPax);
    $("tbody").on("change blur", ".doi", getDoe);

    $('.visapurch').click(function () {
        $('.pvisa').toggle("slide");
    });
    
    function newPax() {
        var newno = 0;
        $(".tbody").find("tr").each(function () {
            var tr = $(this),
                    paxname = tr.find(".paxname").val();
            if (paxname.length > "") {
                newno = parseFloat(newno) + 1;
            } else {
                newno = parseFloat(newno) + 0;
            }
        });
        $('.nopax').val(newno);
        Calc();
    }

    function Calc() {
        var nopax = $(".nopax").val(),
                rate = $(".rate").val(),
                amount = nopax * rate;
        $(".totamt").val(amount);
    }

    function getDoe() {
        var tr = $(this).closest("tr");
        var inputDate = new Date(tr.find(".doi").val());
        var resultDate = new Date(inputDate);
        resultDate.setFullYear(inputDate.getFullYear() + 10);
        resultDate.setDate(resultDate.getDate() - 1);
        var resultDateString = resultDate.toISOString().split("T")[0];
        tr.find(".doe").val(resultDateString);
    }

    $("#addnew").click(function () {
        AddRows();
    });

    function AddRows() {
        var ctr = $("#items").val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        var detail = ".fetchpart_" + ctr;

        $.post("visanew_add.php", {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo(".tbody");
            ctr++;
            $("#items").val(ctr);
            $(detail).select2();
        });
//    newPax();
    }

    function remove() {
        $(this).closest("tr").remove();
        newPax();
    }
});
